# $Revision: 1.57 $, $Date: 2008-02-14 21:42:45 $
Summary:	Pound - reverse-proxy and load-balancer
Summary(pl.UTF-8):	Pound - reverse-proxy i load-balancer
Name:		pound
Version:	2.4
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.apsis.ch/pound/Pound-%{version}.tgz
# Source0-md5:	94e4a9a0b60c5e547d81dfd62f72f9ef
Source1:	%{name}.cfg
Source2:	%{name}.init
Source3:	%{name}.sysconfig
URL:		http://www.apsis.ch/pound/
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Pound program is a reverse proxy, load balancer and HTTPS
front-end for Web server(s). Pound was developped to enable
distributing the load among several Web-servers and to allow for a
convenient SSL wrapper for those Web servers that do not offer it
natively. Pound is distributed under the GPL - no warranty, it's free
to use, copy and give away.

%description -l pl.UTF-8
Program Pound jest odwrotnym proxy, load-balancerem i interfejsem
HTTPS do serwera(ów) WWW. Pount został stworzony by pozwolić na
rozdzielenie obciążenia na kilka serwerów WWW i pozwolić na wygodne
opakowanie SSL-em tych serwerów, które same nie obsługują SSL. Pound
jest rozpowszechniany na licencji GPL - bez gwarancji, z możliwością
swobodnego używania, kopiowania i rozdawania.

%prep
%setup -q -n Pound-%{version}

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make} \
	CC="%{__cc}" \
	F_CONF=%{_sysconfdir}/%{name}/pound.cfg

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/pound,/var/run/%{name},/etc/{sysconfig,rc.d/init.d}}

install pound    $RPM_BUILD_ROOT%{_sbindir}
install poundctl $RPM_BUILD_ROOT%{_sbindir}
install pound.8  $RPM_BUILD_ROOT%{_mandir}/man8
install poundctl.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README FAQ CHANGELOG z*.py
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/pound
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pound/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*
%dir %attr(755,root,root) /var/run/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pound.spec,v $
Revision 1.57  2008-02-14 21:42:45  areq
- 2.4

Revision 1.56  2008-01-16 12:25:06  glen
- more %doc

Revision 1.55  2007-11-01 15:48:34  arekm
- rel 6; rebuild with fixed pcre

Revision 1.54  2007/09/11 12:47:42  glen
- rel 5

Revision 1.53  2007/09/11 12:15:34  glen
- rel 4

Revision 1.52  2007/09/11 11:15:58  glen
- missing dir

Revision 1.51  2007/09/11 11:15:18  glen
- install sysconfig; rel 3

Revision 1.50  2007/09/11 11:08:16  glen
- multiple instance support; rel 2

Revision 1.49  2007/05/29 15:15:48  areq
- 2.3.2

Revision 1.48  2007/05/07 14:11:51  areq
- 2.3.1

Revision 1.47  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.45  2006/12/16 21:15:17  areq
- 2.2

Revision 1.44  2006/08/07 15:53:34  qboosh
- sorted BRs, unified config.sub source

Revision 1.43  2006/08/05 15:52:37  areq
- 2.1

Revision 1.42  2006/07/16 11:14:37  glen
- 2.0.9

Revision 1.41  2006/05/25 07:06:29  blaass
- up to 2.0.6, rel 3

Revision 1.40  2006/03/12 21:40:04  glen
- macros BR

Revision 1.39  2006/03/12 21:39:00  glen
- use %service, fixed upgrade script, rel 2

Revision 1.38  2006/03/05 10:14:37  darekr
- pass CC

Revision 1.37  2006/02/01 21:45:41  areq
- 1.10

Revision 1.36  2006/01/22 15:15:21  areq
- 1.9.5

Revision 1.35  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.34  2005/11/05 16:32:02  areq
- 1.9.4

Revision 1.33  2005/10/03 21:33:27  paszczus
- updated to 1.9.3

Revision 1.32  2005/09/03 18:20:09  areq
- 1.9.1

Revision 1.31  2005/06/18 19:08:35  areq
- 1.9

Revision 1.30  2005/04/03 21:27:21  czucz
- updated to 1.8.2

Revision 1.29  2005/02/22 13:45:47  wrobell
- ver. 1.8.1

Revision 1.28  2005/01/07 05:57:51  wrobell
- libtool is required to build

Revision 1.27  2004/11/04 14:46:50  areq
- 1.8

Revision 1.26  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.25  2004/07/02 13:04:28  areq
- copy config.sub to allow build on amd64

Revision 1.24  2004/03/24 09:38:18  areq
- 1.7

Revision 1.23  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.22  2003/12/01 08:19:04  areq
- 1.6

Revision 1.21  2003/10/14 13:47:50  areq
- 1.5

Revision 1.20  2003/10/01 07:30:35  qboosh
- fixed double "c" addition

Revision 1.19  2003/09/30 20:18:32  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.17  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.16  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/24 22:20:12  areq
- 1.4

Revision 1.13  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.12  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.11  2003/01/20 22:01:22  areq
 - 1.2

Revision 1.10  2003/01/10 00:06:37  areq
- 1.1, STBR

Revision 1.9  2002/12/07 14:33:43  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.8  2002/11/07 20:28:54  areq
- 1.0, STBR

Revision 1.7  2002/09/19 13:58:06  areq
- 0.11, STBR

Revision 1.6  2002/08/08 10:28:02  areq
- 0.8, STBR
- remove getregexp.patch

Revision 1.5  2002/08/02 17:16:30  kloczek
- release 2.

Revision 1.4  2002/08/01 20:30:12  qboosh
- pl description

Revision 1.3  2002/07/23 15:52:33  kloczek
- adapterized and few cosmetics.

Revision 1.2  2002/07/23 13:40:40  areq
- BuildRequires:  openssl-devel

Revision 1.1  2002/07/23 13:35:19  areq
- init PLD spec
- add my getregexp.patch - allow ; in URL
